Public Member Functions | Public Attributes | List of all members
clan::Resource_Impl< Type > Class Template Reference
clanCore Resources

`#include <resource.h>`

Inheritance diagram for clan::Resource_Impl< Type >:

## Public Member Functions
| Resource_Impl ()
| Resource_Impl (const Type &initial_value)
Public Member Functions inherited from clan::Resource_BaseImpl
virtual | ~Resource_BaseImpl ()

## Public Attributes
int | generation
Type | value

The documentation for this class was generated from the following file:

- resource.h